Bug 43363 - ark segfault
ark segfault
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: kdeutils (Show other bugs)
7.1
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Ngo Than
Aaron Brown
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-06-03 19:03 EDT by Tim Waugh
Modified: 2007-04-18 12:33 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-09-25 15:59:50 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
/tmp/lssuperio-0.61.tar.bz2 (11.20 KB, application/octet-stream)
2001-06-03 19:03 EDT, Tim Waugh
no flags Details

  None (edit)
Description Tim Waugh 2001-06-03 19:03:27 EDT
Description of Problem:
Segfault with ark.

How Reproducible:
100%

Steps to Reproduce:
1. Place the attached file on a web server.
2. Use konqueror to navigate to its location, so that it invokes ark.
3. Bang.

It seems to be something to do with this particular archive, since I 
can't reproduce it with another.

Backtrace:

(no debugging symbols found)...0x40cd16c9 in __wait4 () from 
/lib/libc.so.6
#0  0x40cd16c9 in __wait4 () from /lib/libc.so.6
#1  0x40d42bc0 in __DTOR_END__ () from /lib/libc.so.6
#2  0x404d4998 in KCrash::defaultCrashHandler () at eval.c:41
#3  <signal handler called>
#4  0x40c98e02 in chunk_alloc (ar_ptr=0x40d410e0, nb=56) at malloc.c:2781
#5  0x40c98bf6 in __libc_malloc (bytes=50) at malloc.c:2714
#6  0x40bdef4d in __builtin_new (sz=50) from 
/usr/lib/libstdc++-libc6.2-2.so.3

#7  0x40bdf090 in __builtin_vec_new (sz=50)
   from /usr/lib/libstdc++-libc6.2-2.so.3
#8  0x4067acb3 in qstrdup () from /usr/lib/qt-2.3.0/lib/libqt.so.2
#9  0x080971eb in QStrList::newItem () at eval.c:41
#10 0x4068a7ad in QGList::append () from /usr/lib/qt-2.3.0/lib/libqt.so.2
#11 0x40513d15 in KProcess::operator<< () at eval.c:41
#12 0x08072102 in QCollection::newItem ()
#13 0x0806a498 in QCollection::newItem ()
#14 0x0805ff7d in QCollection::newItem ()
#15 0x0805e833 in QCollection::newItem ()
#16 0x0805ff24 in QCollection::newItem ()
#17 0x080573ce in QCollection::newItem ()
#18 0x40489553 in KUniqueApplication::processDelayed () at eval.c:41
#19 0x4074d011 in QObject::activate_signal ()
   from /usr/lib/qt-2.3.0/lib/libqt.so.2
#20 0x4077ff42 in QSignal::activate () from 
/usr/lib/qt-2.3.0/lib/libqt.so.2
#21 0x40785cdb in QSingleShotTimer::event ()
   from /usr/lib/qt-2.3.0/lib/libqt.so.2

#22 0x406f5154 in QApplication::notify () from 
/usr/lib/qt-2.3.0/lib/libqt.so.2

#23 0x4047b019 in KApplication::notify () at eval.c:41
#24 0x406c2f06 in qt_activate_timers () from 
/usr/lib/qt-2.3.0/lib/libqt.so.2
#25 0x406c0bca in QApplication::processNextEvent ()
   from /usr/lib/qt-2.3.0/lib/libqt.so.2
#26 0x406f6fec in QApplication::enter_loop ()
   from /usr/lib/qt-2.3.0/lib/libqt.so.2
#27 0x406c03b7 in QApplication::exec () from 
/usr/lib/qt-2.3.0/lib/libqt.so.2
#28 0x0806cd71 in QCollection::newItem ()
#29 0x40c39e5e in __libc_start_main (
    main=0x806cc50 <QCollection::newItem(void *)+89728>, argc=8, 
    ubp_av=0xbffffb4c, init=0x8053ff8 <_init>, fini=0x8098970 <_fini>, 
    rtld_fini=0x4000d3c4 <_dl_fini>, stack_end=0xbffffb3c)
    at ../sysdeps/generic/libc-start.c:129
Comment 1 Tim Waugh 2001-06-03 19:03:56 EDT
Created attachment 20195 [details]
/tmp/lssuperio-0.61.tar.bz2
Comment 2 Bernhard Rosenkraenzer 2001-06-27 11:48:51 EDT
Submitted to KDE bug tracking system
Comment 3 Ngo Than 2002-12-08 13:28:17 EST
It's fixed in current kde

Note You need to log in before you can comment on or make changes to this bug.